// ReproServer.cpp : Definiert den Einstiegspunkt fr die Konsolenanwendung.
//

#include "stdafx.h"

#include <iostream>
#include <string>
#include <boost/asio.hpp>
#include <boost/date_time/posix_time/posix_time.hpp>

using boost::asio::ip::tcp;
using namespace boost::posix_time; 

int _tmain(int argc, _TCHAR* argv[])
{
  try
  {
    boost::asio::io_service io_service;

    tcp::acceptor acceptor(io_service, tcp::endpoint(tcp::v4(), 8002));

    tcp::socket socket(io_service);
    acceptor.accept(socket);

    unsigned char * charArray = new unsigned char[307400];

    for (;;)
    {
      boost::system::error_code ignored_error;

      ptime startTime = microsec_clock::universal_time();

      boost::asio::write(socket, boost::asio::buffer(charArray, 307400),
        boost::asio::transfer_all(), ignored_error);

      time_duration neededTime = microsec_clock::universal_time() - startTime;

      if ( neededTime.total_milliseconds() > 1000 ) {
        std::cout << "ERROR needed too much time: " << neededTime.total_milliseconds() << "ms" << std::endl;
      }
    }
  }
  catch (std::exception& e)
  {
    std::cerr << e.what() << std::endl;
  }

  return 0; }

